Loading...
Searching...
No Matches
SfmTrack.h File Reference

A simple data structure for a track in Structure from Motion. More...

Go to the source code of this file.

## Classes

struct | gtsam::SfmTrack2d
| Track containing 2D measurements associated with a single 3D point. More...
struct | gtsam::SfmTrack
struct | gtsam::traits< SfmTrack >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

typedef std::pair< size_t, Point2 > | gtsam::SfmMeasurement
| A measurement with its camera index.
typedef std::pair< size_t, size_t > | gtsam::SiftIndex
| Sift index for SfmTrack.
using | gtsam::SfmTrack2dVector = std::vector<SfmTrack2d>

## Detailed Description

A simple data structure for a track in Structure from Motion.

Date
  January 2022

Author
  Frank Dellaert